if not exist "firewallsetup.txt" (
    Tools\nircmd.exe elevate UpdateFirewall.bat %CD%
)

Tools\wget.exe -N http://10ghost.net/MAMEHubDownloads/Frontend/MAMEHubClient.jar -P MAMEHubRepo/Binaries/dist || goto :error
cd MAMEHubRepo\Binaries\dist || goto :error
MAMEHubClient.exe || goto :error
cd ..\..\..\ || goto :error
goto :EOF

:error
echo Failed with error #%errorlevel%.
exit /b %errorlevel%